jv.loader

## Class PgFileDialog

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - java.awt.Window
      - - java.awt.Dialog
        - - java.awt.FileDialog
          - - jv.loader.PgFileDialog

- All Implemented Interfaces:
    java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible

      public class PgFileDialog
      extends java.awt.FileDialog

  Extension of Java FileDialog with built-in FilenameFilter functionality and default settings according to JavaView codebase.
  See Also:
    Serialized Form
  Author:
    Konrad Polthier
  Version:
    15.02.04, 1.30 revised (kp) Methods set/getDirectory() removed since obsolete.
    03.04.03, 1.20 revised (kp) Bug with closing dialogs removed by replacing super.setVisible with super.show.
    08.04.00, 1.10 revised (kp) Internal variable fileName removed, and method setFileName(String).
    07.04.00, 1.01 revised (kp) Directory instance variable made static.
    31.10.99, 1.00 created (kp)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.awt.Dialog

      `java.awt.Dialog.ModalExclusionType, java.awt.Dialog.ModalityType`

    - ### Nested classes/interfaces inherited from class java.awt.Window

      `java.awt.Window.Type`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.BaselineResizeBehavior`

  - ### Field Summary

    - ### Fields inherited from class java.awt.FileDialog

      `LOAD, SAVE`

    - ### Fields inherited from class java.awt.Dialog

      `DEFAULT_MODALITY_TYPE`

    - ### Fields inherited from class java.awt.Component

      `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PgFileDialog(java.awt.Frame frame, java.lang.String title, int mode)` Create a file dialog which blocks all other user interaction when visible.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFullFileName()` Get filename including path.
    `boolean` | `isFileSelected()` Determine if a file was selected after show() has returned.
    `java.io.File` | `openFile()` Create a new file instance using different methods if application or applet.
    `void` | `setExtension(java.lang.String ext)` Set filename to be suggested in file dialog.
    `void` | `setVisible(boolean flag)` Deprecated. use show() or hide()
    `void` | `show()` Show file dialog and block all other user interaction.

    - ### Methods inherited from class java.awt.FileDialog

      `addNotify, getDirectory, getFile, getFilenameFilter, getFiles, getMode, isMultipleMode, setDirectory, setFile, setFilenameFilter, setMode, setMultipleMode`

    - ### Methods inherited from class java.awt.Dialog

      `getAccessibleContext, getModalityType, getTitle, hide, isModal, isResizable, isUndecorated, setBackground, setModal, setModalityType, setOpacity, setResizable, setShape, setTitle, setUndecorated, toBack`

    - ### Methods inherited from class java.awt.Window

      `addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBackground, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOpacity, getOwnedWindows, getOwner, getOwnerlessWindows, getShape, getToolkit, getType, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isAutoRequestFocus, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isOpaque, isShowing, isValidateRoot, pack, paint, postEvent, removeNotify, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setAutoRequestFocus, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImage, setIconImages, setLocation, setLocation, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, setType, toFront`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, setLayout, transferFocusDownCycle, update, validate`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, dispatchEvent, enable, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocusInWindow, resize, resize, revalidate, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setMaximumSize, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PgFileDialog

          public PgFileDialog(java.awt.Frame frame,
                              java.lang.String title,
                              int mode)

      Create a file dialog which blocks all other user interaction when visible.
      Parameters:
        `mode` - FileDialog.LOAD | FileDialog.SAVE

  - ### Method Detail

    - #### setVisible

          public void setVisible(boolean flag)

      Deprecated. use show() or hide()
      Show file dialog and block all other user interaction. If user has chosen a file, then update the static current directory variable.

      Method calls super.show(true) if flag==true. Previous version before v1.20 always called super.setVisible(true) which prevent dialog to be closed on Mac0S-X and possibly led to some other problems on Sun.

      Overrides:
        `setVisible` in class `java.awt.Dialog`
      Version:
        03.04.03, 2.00 revised (kp) Method body moved to show().
        03.04.03, 1.20 revised (kp) Bug with closing dialogs removed by replacing super.setVisible with super.show.

    - #### show

          public void show()

      Show file dialog and block all other user interaction. If user has chosen a file, then update the static current directory variable.
      Overrides:
        `show` in class `java.awt.Dialog`
      Since:
        JavaView 2.67.000
      Version:
        03.04.03, 2.00 revised (kp) Method created from body of setVisible(boolean).
        03.04.03, 1.20 revised (kp) Bug with closing dialogs removed by replacing super.setVisible with super.show.

    - #### isFileSelected

          public boolean isFileSelected()

      Determine if a file was selected after show() has returned.
      Returns:
        `true` if a file and directory was selected.
      Since:
        JavaView 3.09.003
      Version:
        14.02.04, 1.00 created (kp)

    - #### getFullFileName

          public java.lang.String getFullFileName()

      Get filename including path. If either path or file is missing then return null.
      Returns:
        full path and file name information, or null.

    - #### setExtension

          public void setExtension(java.lang.String ext)

      Set filename to be suggested in file dialog.

    - #### openFile

          public java.io.File openFile()

      Create a new file instance using different methods if application or applet.

"

The software JavaView? is copyright protected. All Rights Reserved.
"